=== debian/changelog ===
pgpool2 (4.6.3-3) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117306)
  * debian/pgversions: PG10 is supported, bool fixed on the PG side.
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 13:17:02 +0200

pgpool2 (4.6.3-2) unstable; urgency=medium

  * Fix FTBFS with gcc-15. (Closes: #1097576)
  * debian/pgversions: Bump to 11+.

 -- Christoph Berg <myon@debian.org>  Tue, 09 Sep 2025 15:15:13 +0200

pgpool2 (4.6.3-1) unstable; urgency=medium

  * New upstream version 4.6.3.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Aug 2025 10:09:44 +0200
