=== debian/tests/control ===
Depends:
 default-jdk,
 libpostgresql-jdbc-java,
 locales-all,
 postgresql,
 postgresql-common-dev,
 @,
Restrictions:
 needs-root,
 skip-not-installable,
Tests:
 jdbc-tests,

Depends:
 postgresql-common (>= 217~),
 postgresql-common-dev,
 @,
Restrictions:
 allow-stderr,
Tests:
 installcheck,
