## pgpool2 4.6.4

=== debian/changelog ===
pgpool2 (4.6.4-1.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 27 Nov 2025 09:40:39 +0100

pgpool2 (4.6.4-1) unstable; urgency=medium

  * New upstream version 4.6.4.

 -- Christoph Berg <myon@debian.org>  Thu, 27 Nov 2025 09:40:39 +0100

pgpool2 (4.6.3-4) unstable; urgency=medium

  * Add libcrypt-dev to Build-Depends. (Closes: #1107004)

 -- Christoph Berg <myon@debian.org>  Fri, 21 Nov 2025 12:03:44 +0100
