## pgpool2 4.6.5

=== src/sql/pgpool_adm/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 pgpool_adm--1.0--1.1.sql pgpool_adm--1.1--1.2.sql pgpool_adm--1.2--1.3.sql \
 pgpool_adm--1.4.sql pgpool_adm--1.3--1.4.sql \
 pgpool_adm--1.5.sql pgpool_adm--1.4--1.5.sql
-SHLIB_LINK =  -L../../libs/pcp/.libs -lpcp -Wl,--as-needed -Wl,-rpath,'${prefix}/lib',--enable-new-dtags
+SHLIB_LINK =  -L../../libs/pcp/.libs -lpcp
 # if you are using PostgreSQL 8.0 or later,
 # using pg_config is recommended.
 # if you are not, comment out following line and...
