=== debian/changelog ===
pgpool2 (4.6.5-1.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 16 Dec 2025 12:04:51 +0100

pgpool2 (4.6.5-1) unstable; urgency=medium

  * New upstream version 4.6.5.

 -- Christoph Berg <myon@debian.org>  Tue, 16 Dec 2025 12:04:51 +0100
