## pgpool2 4.7.0

=== src/sql/pgpool_adm/Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 DATA = pgpool_adm--1.0.sql pgpool_adm--1.1.sql pgpool_adm--1.2.sql pgpool_adm--1.3.sql \
 pgpool_adm--1.0--1.1.sql pgpool_adm--1.1--1.2.sql pgpool_adm--1.2--1.3.sql \
 pgpool_adm--1.4.sql pgpool_adm--1.3--1.4.sql \
-pgpool_adm--1.5.sql pgpool_adm--1.4--1.5.sql
+pgpool_adm--1.5.sql pgpool_adm--1.4--1.5.sql \
+pgpool_adm--1.6.sql pgpool_adm--1.5--1.6.sql
 SHLIB_LINK =  -L../../libs/pcp/.libs -lpcp
 # if you are using PostgreSQL 8.0 or later,
 # using pg_config is recommended.
