=== debian/changelog ===
pgpool2 (4.7.0-1) unstable; urgency=medium

  * New upstream version 4.7.0.

 -- Christoph Berg <myon@debian.org>  Thu, 25 Dec 2025 15:10:20 +0100
