=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  docbook-xml,
  docbook-xsl,
  flex,
+ libcrypt-dev,
  libldap-dev,
  libmemcached-dev,
  libpam0g-dev,
