## pgpool2 4.7.1

=== src/sql/pgpool_adm/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 pgpool_adm--1.4.sql pgpool_adm--1.3--1.4.sql \
 pgpool_adm--1.5.sql pgpool_adm--1.4--1.5.sql \
 pgpool_adm--1.6.sql pgpool_adm--1.5--1.6.sql
-SHLIB_LINK =  -L../../libs/pcp/.libs -lpcp
+SHLIB_LINK =  -L../../libs/pcp/.libs -lpgpoolpcp
 # if you are using PostgreSQL 8.0 or later,
 # using pg_config is recommended.
 # if you are not, comment out following line and...
