=== debian/changelog ===
pgpool2 (4.7.1-1) unstable; urgency=medium

  * New upstream version 4.7.1.
  * Rename libpgpool2 to libpgpoolpcp3. Upstream renamed the files not to
    conflict with libpcp. We had been avoiding the conflict by calling the
    package libpgpool even when it contained libpcp (with a lower SONAME than
    the other libpcp.)

 -- Christoph Berg <myon@debian.org>  Thu, 26 Feb 2026 09:49:43 +0100
