=== debian/control ===
--- 
+++ 
@@ -37,17 +37,13 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libpgpool2 (= ${binary:Version}),
+ libpgpoolpcp3 (= ${binary:Version}),
  postgresql-common,
  ucf,
  ${misc:Depends},
  ${shlibs:Depends},
 Enhances:
  postgresql,
-Conflicts:
- pgpool,
-Replaces:
- pgpool,
 Description: connection pool server and replication proxy for PostgreSQL
  pgpool-II is a middleware that works between PostgreSQL servers and a
  PostgreSQL database client. It provides the following features:
@@ -67,7 +63,7 @@
  .
  This is version 3 of pgpool-II, the second generation of pgpool.
 
-Package: libpgpool2
+Package: libpgpoolpcp3
 Architecture: kfreebsd-any linux-any
 Section: libs
 Depends:
@@ -82,12 +78,9 @@
 Architecture: kfreebsd-any linux-any
 Section: libdevel
 Depends:
- libpgpool2 (= ${binary:Version}),
+ libpgpoolpcp3 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-# We also provide /usr/lib/libpcp.{a,so}
-Conflicts:
- libpcp3-dev,
 Description: pgpool control protocol library - headers
  pgpool-II is a middleware that works between PostgreSQL servers and a
  PostgreSQL database client.  This package contains headers for the pgpool
@@ -96,7 +89,7 @@
 Package: postgresql-18-pgpool2
 Architecture: kfreebsd-any linux-any
 Depends:
- libpgpool2 (>= ${binary:Version}),
+ libpgpoolpcp3 (>= ${binary:Version}),
  postgresql-18,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -108,5 +101,5 @@
  the PostgreSQL 18 server:
  .
   * pgpool_adm
-  * pgpool_recovery (PostgreSQL 9.1 and above)
-  * pgpool_regclass (PostgreSQL 9.1 and above)
+  * pgpool_recovery
+  * pgpool_regclass
